<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Polls list</title>
</head>
<body>

<div class="pollslist" th:unless="${#lists.isEmpty(allPolls)}">

    <h2>List of Polls</h2>
    <label>Username</label>
    <span th:text="${#authentication.name}">Username1</span>
    <table>
        <thead>
        <tr>
            <th> Question </th>
            <th> MultipleAnswer </th>
            <th> Anonymous </th>
            <th> Closed </th>
            <th> Author </th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <div th:if="${#authorization.expression('hasAuthority(''ADMIN'')')}">
            <tr  th:each="poll : ${allPolls}">
                <td th:text="${poll.question}">Question</td>
                <td th:text="${poll.multipleAnswers}">yes</td>
                <td th:text="${poll.anonymous}">yes</td>
                <td th:text="${poll.closed}">yes</td>
                <td th:text="${poll.author.username}">username</td>
                <td > <a  th:href="@{/thymeleaf/__${poll.id}__/info}"> Check info </a> </td>
            </tr>
        </div>
        <div th:if="${not __${#authorization.expression('hasAuthority(''ADMIN'')')}__}">
            <tr th:each="poll : ${allPolls}" th:if="${#strings.equals( '__${#authentication.name}__' , '__${poll.author.username}__' )}">
                <td th:text="${poll.question}">Question</td>
                <td th:text="${poll.multipleAnswers}">yes</td>
                <td th:text="${poll.anonymous}">yes</td>
                <td th:text="${poll.closed}">yes</td>
                <td th:text="${poll.author.username}">username</td>
                <td > <a  th:href="@{/thymeleaf/__${poll.id}__/info}"> Check info </a> </td>
            </tr>
        </div>
        </tbody>
    </table>
</div>

<div class="pollslistempty" th:if="${#lists.isEmpty(allPolls)}">
    <h2> No polls in database</h2>
</div>

<h4>Add poll</h4>
<form th:action="@{/thymeleaf/polls}" th:object="${createPollDto}" method="post">
    <label>Question</label>:
    <input type="text" th:field="*{question}" autofocus="autofocus" /> <br />
    <label >Multiple answers</label>:
    <input type="checkbox" th:field="*{multipleAnswers}" /> <br />
    <label >Anonymous</label>:
    <input type="checkbox" th:field="*{anonymous}" /> <br />
    <label>Answers</label>:
    <table>
        <tr th:each="answer, rowStat : *{answers}">
            <td>
                <input type="text" th:field="*{answers[__${rowStat.index}__]}" placeholder="Answer..."/> <br />
            </td>
        </tr>
    </table>
    <input type="submit" name="addAnswer" value = "Add answer"/>
    <input type="submit" value="Create Poll" />
</form>

</body>
</html>